GET
/v1/vendorsGET /v1/vendors
Scopes: vendors:vendors:read
Requires scope: vendors:vendors:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
starting_after | query | string | no | |
ending_before | query | string | no | |
limit | query | integer<int32> | no | |
search | query | string | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
data | VendorSummary[] | no | |
hasMore | boolean | no | |
startingAfterCursor | string | no | |
endingBeforeCursor | string | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/vendors', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);